Categories:
  - Development
License: GPL-2.0-or-later
AuthorName: Martin Marinov
SourceCode: https://github.com/martinmarinov/rtl_tcp_andro-
IssueTracker: https://github.com/martinmarinov/rtl_tcp_andro-/issues

AutoName: Rtl-sdr driver
Description: |-
    Allows you to use I/Q packet source in your Android applications.

    All you need is to launch an intent in the form "iqsrc://rtl_tcp_arguments"
    where you replace rtl_tcp_arguments with the arguments that you want your
    application to run rtl_tcp with and the magic will be done behind the scenes.

    This driver could be used by third party applications to implement Software
    Defined Radio.

    It does not require root for Android 3.1 and above.

RepoType: git
Repo: https://github.com/martinmarinov/rtl_tcp_andro-

Builds:
  - versionName: '2.1'
    versionCode: 13
    commit: 001cf73726ad15b44245591d624b711f4409aa03
    rm:
      - libs/*jar
      - bin/*apk
    extlibs:
      - android/android-support-v4.jar
    buildjni:
      - yes
    ndk: r12b

  - versionName: '2.2'
    versionCode: 14
    commit: 5a1013c2a3452193a9f8eda57d9c0e9f9714088c
    rm:
      - libs/*jar
      - bin/*apk
    extlibs:
      - android/android-support-v4.jar
    buildjni:
      - yes
    ndk: r12b

  - versionName: '3.01'
    versionCode: 17
    disable: gradle and jni issues
    commit: b4a0f49238aedf76a569fc9f84a5a73fd8e4ae3f
    subdir: app
    gradle:
      - yes
    buildjni:
      - yes
    ndk: r12b

  - versionName: '3.06'
    versionCode: 20
    commit: 9435db8dece0c8205ce20576241a564454f034ad
    subdir: app
    gradle:
      - yes

  - versionName: '3.10'
    versionCode: 24
    commit: eb0b251c6f337f62529105ae12c1e5c4ef525222
    subdir: app
    gradle:
      - yes
    ndk: r16b

AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: '3.12'
CurrentVersionCode: 27
